Subject: Re: bug#14553: [cygwin] C-g doesn't interrupt (while t)
From: Ken Brown <[email-masked]>
To: Stefan Kangas <[email-masked]>, Katsumi Yamaoka <[email-masked]>
Cc: Daniel Colascione <[email-masked]>, [email-masked]
Date: Wed, 10 Jan 2024 11:31:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 1/10/2024 6:14 AM, Stefan Kangas wrote:
> Daniel Colascione <[email-masked]> writes:
> 
>> Sounds like a problem with signal delivery. Have you reported it to the
>> cygwin mailing list?
> 
> Stefan Kangas <[email-masked]> writes:
> 
>> Katsumi Yamaoka <[email-masked]> writes:
>>
>>>> That was six years ago.  Are you still seeing this on a modern version
>>>> of Emacs?
>>>
>>> C-g still doesn't break (while t) on Emacs 27.0.50 of today, and
>>> also on 26.3.50, 26.1, 25.1 rebuilt recently.  I got used to it,
>>> so I'm not so troubled. ;-)  Thanks for following this up.
>>
>> Thanks for reporting back.
>>
>> Daniel Colascione suggested that there might be a problem with signal
>> delivery on Cygwin, and to report it to their mailing list:
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=14553#20
>>
>> Perhaps that might be worth doing if you haven't already.
> 
> Coming back to this four years later, it sounds like this might be a bug
> in Cygwin.  Is that correct?

Not sure.

> If yes, should we really keep this bug open on our end?

I think it should be closed, and I'm doing it with this email.

Ken